# -*- rpm-spec -*-
%global tryton_major 2.4
%global modname  carrier-weight
%global pkgname %(echo \"%{name}\" | sed 's/-/_/g')

Name:           trytond-%{modname}
Version:        2.4.0
Release:        1%{?dist}
Summary:        %{modname} module for Tryton

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.tryton.org
Source0:        http://downloads.tryton.org/%{tryton_major}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       tryton(kernel) = %{tryton_major}
Requires:       trytond-product
Requires:       trytond-product-measurements
Requires:       trytond-carrier
Requires:       trytond-currency
Requires:       trytond-company

%description
%{modname} module for Tryton application server.


%prep
%setup -q -n %{pkgname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc CHANGELOG COPYRIGHT INSTALL LICENSE README
%{python_sitelib}/trytond/modules/*
%{python_sitelib}/%{pkgname}-%{version}-*.egg-info


%changelog
* Tue Sep 11 2012 Dan Horák <dan[at]danny.cz> - 2.4.0-1
- initial Fedora package
